name: tone_snap
description: "A new Flutter project."
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.3+12

environment:
  sdk: '>=3.4.1 <4.0.0'

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter


  # The following adds the Cupertino Icons font to your application.
  # Use with the CupertinoIcons class for iOS style icons.
  cupertino_icons: ^1.0.8

  # 状态管理、路由、依赖注入
  get: ^4.6.6

  # 屏幕和字体大小适配
  flutter_screenutil: ^5.9.3

  # 下拉刷新、上拉加载
  easy_refresh: ^3.4.0

  # 显示网络图像并将它们保存在缓存目录中
  cached_network_image: ^3.3.1

  # 加载、进度、提示框
  flutter_easyloading: ^3.0.5

  # 查找文件系统上的常用位置
  path_provider: ^2.1.3

  # 权限处理
  permission_handler: ^11.3.1

  # 纯 Dart 编写的轻量级且速度极快的键值数据库
  hive: ^2.2.3
  hive_flutter: ^1.1.0

  # 获取当前设备信息
  device_info_plus: ^10.1.0

  # 查询应用程序包信息
  package_info_plus: ^8.0.0

  # 日志打印
  logger: ^2.3.0

  # webview
  webview_flutter: ^4.8.0

  # 音频
  audio_session: ^0.1.19
  flutter_sound: ^9.4.18
  just_audio: ^0.9.38
#  ffmpeg_kit_flutter: ^6.0.3
  ffmpeg_kit_flutter_audio: 6.0.3-LTS

  # 文件选择
  file_picker: ^8.0.5

  # 跑马灯
  widget_marquee: ^0.0.8

  # att
  app_tracking_transparency: ^2.0.5

  # 网络
  dio: ^5.4.3+1
  pretty_dio_logger: ^1.3.1

  # 获取设备当前语言
  devicelocale: ^0.7.1

  # 缓存管理器
  flutter_cache_manager: ^3.3.2

  # 广告
  google_mobile_ads: ^5.1.0

  # Firebase
  firebase_core: ^3.1.1
  firebase_analytics: ^11.1.0
  firebase_crashlytics: ^4.0.2

  # 网络
  connectivity_plus: ^6.0.3

flutter_launcher_icons:
  android: "launcher_icon"
  ios: true
  image_path: "assets/icon/app_icon.jpeg"
  min_sdk_android: 23 # android min sdk min:16, default 21

dev_dependencies:
  flutter_test:
    sdk: flutter

  # The "flutter_lints" package below contains a set of recommended lints to
  # encourage good coding practices. The lint set provided by the package is
  # activated in the `analysis_options.yaml` file located at the root of your
  # package. See that file for information about deactivating specific lint
  # rules and activating additional ones.
  flutter_lints: ^4.0.0

  hive_generator: ^2.0.1
  build_runner: ^2.4.11
  flutter_launcher_icons: ^0.13.1

# For information on the generic Dart part of this file, see the
# following page: https://dart.dev/tools/pub/pubspec

# The following section is specific to Flutter packages.
flutter:

  # The following line ensures that the Material Icons font is
  # included with your application, so that you can use the icons in
  # the material Icons class.
  uses-material-design: true

  # To add assets to your application, add an assets section, like this:
  assets:
    - assets/audio/
    - assets/icon/
    - assets/images/
    - assets/images/side_a/
    - assets/images/side_a/2.0x/
    - assets/images/side_a/3.0x/
    - assets/images/side_a/cover/
    - assets/images/side_b/

  # An image asset can refer to one or more resolution-specific "variants", see
  # https://flutter.dev/assets-and-images/#resolution-aware

  # For details regarding adding assets from package dependencies, see
  # https://flutter.dev/assets-and-images/#from-packages

  # To add custom fonts to your application, add a fonts section here,
  # in this "flutter" section. Each entry in this list should have a
  # "family" key with the font family name, and a "fonts" key with a
  # list giving the asset and other descriptors for the font. For
  # example:
  # fonts:
  #   - family: Schyler
  #     fonts:
  #       - asset: fonts/Schyler-Regular.ttf
  #       - asset: fonts/Schyler-Italic.ttf
  #         style: italic
  #   - family: Trajan Pro
  #     fonts:
  #       - asset: fonts/TrajanPro.ttf
  #       - asset: fonts/TrajanPro_Bold.ttf
  #         weight: 700
  #
  # For details regarding fonts from package dependencies,
  # see https://flutter.dev/custom-fonts/#from-packages